ZITADEL Docs
APIsCore ResourcesV1Organization Objects

Get Personal-Access-Token (PAT) by ID

Deprecated: use user service v2 ListPersonalAccessTokens instead.

Returns the PAT for a user, currently only available for machine users/service accounts. PATs are ready-to-use tokens and can be sent directly in the authentication header.

GET
/users/{user_id}/pats/{token_id}

Path Parameters

user_id*string
token_id*string

Response Body

application/json

curl -X GET "https://loading/users/string/pats/string"
{
  "token": {
    "id": "string",
    "details": {
      "sequence": 0,
      "creationDate": "2023-01-15T01:30:15.01Z",
      "changeDate": "2023-01-15T01:30:15.01Z",
      "resourceOwner": "string"
    },
    "expirationDate": "2023-01-15T01:30:15.01Z",
    "scopes": [
      "string"
    ]
  }
}

Was this page helpful?